#ifndef _NWATALK_H_
#define _NWATALK_H_

#include "net.h"

#define NWATALK_FINDER_INFO_LEN 32

int nwatalk_backend_available(void);
int nwatalk_get_finder_info(const char *path, uint8 *finder_info,
                            int finder_info_len);
int nwatalk_get_resource_fork_size(const char *path, uint32 *resource_size);
int nwatalk_get_entry_id(const char *path, uint32 *entry_id);

#endif
